<template>
  <div class="location-status-control custom-control custom-switch py-1">
    <input type="checkbox" class="custom-control-input" :id="locationId" v-model="model">
    <label class="custom-control-label location-control-label" :for="locationId">
      {{ location.name }}
    </label>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import { SET_WORKSPACE_LOCATION_STATUS } from '@/workspace/store/mutations'

export default {
  name: 'locationstatuscontrol',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    locationId: {
      type: String,
      required: true,
    },
  },

  computed: {
    location: {
      get() {
        return this.$store.getters.workspaceLocationById(this.workspaceId, this.locationId)
      },
    },

    model: {
      get() {
        return this.location.active
      },

      set(value) {
        this.$store.commit(SET_WORKSPACE_LOCATION_STATUS, {
          workspaceId: this.workspaceId,
          locationId: this.locationId,
          value: value,
        })
      },
    },
  },
}
</script>

<style scoped>
.location-control-label {
  line-height: 1.5rem;
}
</style>
